apiVersion: velero.io/v1
kind: Backup
metadata:
  name: "{{ velero_backup_name }}"
spec:
  includedNamespaces: {{ k8s_velero_schedule_config.namespaces.included | to_json }}
  excludedNamespaces: {{ k8s_velero_schedule_config.namespaces.excluded | to_json }}
  includedResources: {{ k8s_velero_schedule_config.resources.included | to_json }}
  excludedResources: {{ k8s_velero_schedule_config.resources.excluded | to_json }}
  includeClusterResources: {{ k8s_velero_schedule_config.resources.include_cluster_scoped_resources | lower }}
  labelSelector: {{ k8s_velero_schedule_config.labelSelector | to_json }}
  orLabelSelectors: {{ k8s_velero_schedule_config.orLabelSelectors | to_json }}
  storageLocation: {{ k8s_velero_schedule_config.storageLocation }}
  ttl: "{{ k8s_velero_schedule_config.ttl }}"